## org.dom4j
Class InvalidXPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.dom4j.InvalidXPathException

All Implemented Interfaces:
  Serializable

public class InvalidXPathException
extends IllegalArgumentException

`InvalidXPathException` is thrown when an invalid XPath expression is used to traverse an XML document

Version:
  $Revision: 1.6.2.1 $
See Also:
  Serialized Form

Constructor Summary
`InvalidXPathException(String xpath)`
`InvalidXPathException(String xpath, String reason)`
`InvalidXPathException(String xpath, Throwable t)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidXPathException

    public InvalidXPathException(String xpath)

### InvalidXPathException

    public InvalidXPathException(String xpath,
                                 String reason)

### InvalidXPathException

    public InvalidXPathException(String xpath,
                                 Throwable t)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.